/* base
======================================== */

.editor-styles-wrapper {
  min-width: var(--width-min);
  color: var(--init-color);
  font-family: var(--init-font);
  font-weight: var(--init-weight);
  line-height: var(--init-line-height);
  letter-spacing: var(--init-letter-spacing);
  overflow-wrap: break-word;
}

/* heading base
======================================== */

.editor-styles-wrapper h2 {
  color: var(--color-text-init);
  font-size: var(--size-2xl);
  line-height: var(--line-height-sm);
}
.editor-styles-wrapper h3 {
  color: var(--color-text-init);
  font-size: var(--size-lg);
  line-height: var(--line-height-md);
}
.editor-styles-wrapper .wp-block-heading.is-style-heading-sideline {
  padding-left: var(--size-md);
  padding-block: var(--space-2xs);
  background-color: var(--color-bg-primary-light);
  border-left: solid var(--size-min) var(--color-border-primary);
}
.editor-styles-wrapper .wp-block-heading.is-style-heading-dotted {
  --dot-size: var(--space-3xs);
  --dot-gap: calc(var(--dot-size) * 2);
  --dot-color-main: var(--color-bg-primary);
  --dot-color-sub: var(--color-bg-primary-muted);
  padding-bottom: var(--space-sm);
  position: relative;
}
.editor-styles-wrapper .wp-block-heading.is-style-heading-dotted::before {
  content: "";
  width: var(--dot-size);
  height: var(--dot-size);
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: var(--dot-color-main);
  border-radius: var(--radius-max);
}
.editor-styles-wrapper .wp-block-heading.is-style-heading-dotted::after {
  content: "";
  width: calc(var(--dot-gap) * 4);
  height:  var(--dot-size);
  position: absolute;
  bottom: 0;
  left: calc(var(--dot-gap) - var(--dot-size) / 2);
  background-image: radial-gradient(
    circle,
    var(--dot-color-sub) calc(var(--dot-size) / 2),
    transparent calc(var(--dot-size) / 2)
  );
  background-size: var(--dot-gap) 100%;
  background-repeat: repeat-x;
}
.editor-styles-wrapper .wp-block-heading.is-style-heading-underline {
  padding-bottom: var(--space-2xs);
  border-bottom: 1px solid var(--color-border-primary-dark);
}

/* body base
======================================== */

.editor-styles-wrapper p {
  font-size: var(--size-md);
  line-height: var(--line-height-lg);
}
.editor-styles-wrapper * + * {
  margin-top: var(--space-md);
}
.editor-styles-wrapper * + h2 {
  margin-top: var(--space-2xl);
}

/* link style
======================================== */

.editor-styles-wrapper a {
  color: var(--color-text-primary);
  text-decoration: none;
}
.editor-styles-wrapper .wp-block.is-style-external-link .wp-block-button__link {
  padding: 0;
  padding-left: var(--space-sm);
  position: relative;
  color: var(--color-text-primary);
  text-decoration: none;
  background-color: initial;
  border-radius: 0;
}
.editor-styles-wrapper .wp-block.is-style-external-link .wp-block-button__link::before {
  content: "";
  width: 1em;
  height: 100%;
  position: absolute;
  left: 0;
  top: 50%;
  translate: 0 -50%;
  background-color: var(--color-bg-primary);
  mask: url(../images/common/icon-navilink.svg) no-repeat center / contain;
  -webkit-mask: url(../images/common/icon-navilink.svg) no-repeat center / contain;
}
.editor-styles-wrapper .wp-block.is-style-pagemenu-link .wp-block-button__link {
  padding: 0;
  padding-right: var(--space-lg);
  position: relative;
  color: var(--color-text-primary-dark);
  font-size: var(--size-xl);
  font-weight: 700;
  text-decoration: none;
  background-color: initial;
  border-radius: 0;
}
.editor-styles-wrapper .wp-block.is-style-pagemenu-link .wp-block-button__link::before {
  content: "";
  width: 1em;
  height: 100%;
  position: absolute;
  right: 0;
  top: 50%;
  translate: 0 -50%;
  background-color: var(--color-bg-primary);
  mask: url(../images/common/icon-navilink.svg) no-repeat center / contain;
  -webkit-mask: url(../images/common/icon-navilink.svg) no-repeat center / contain;
}

/* button
======================================== */
.editor-styles-wrapper .wp-block-button__link {
  padding-inline: var(--space-md);
  color: var(--color-text-inverse);
}

/* box
======================================== */

.editor-styles-wrapper .box {
  width: fit-content;
  margin-inline: auto;
  padding: var(--space-xs) var(--space-md);
  background-color: var(--color-bg-primary-light);
}
